#1228 closed defect (fixed)

AC_LINK_ELSEIF fails on Windows

Reported by: Chris Johns Owned by: Ralf Corsepius
Priority: normal Milestone: 4.8
Component: build Version: unspecified
Severity: normal Keywords: Tools
Cc: joel.sherrill@… Blocked By:
Blocking:

Description (last modified by Gedare Bloom)

The latest RTEMS release with autoconf-2.61 fails to build on Windows using MSYS and MinGW. The AC_LINK_ELSEIF test has added an extra test for the execute bit:

http://cvs.savannah.gnu.org/viewcvs/autoconf/lib/autoconf/general.m4?root=autoconf&r1=1.931&r2=1.932

between 2.60 and 2.61. The execute bit is not handled in the same way on Windows as Unix. The bit can be set by making the output of the linker have a .exe file extension. The AC_LINK_ELSEIF handles this via the $ac_exeext shall variable. It is not set on the Windows platform.

Should be set for for Window ?

Change History (5)

comment:1 Changed on Aug 5, 2008 at 3:56:21 PM by Joel Sherrill

Component: buildAutoconf
Keywords: Tools added; RTEMS removed
Milestone: 4.8
product: RTEMSTools
Version: 4.8unspecified

comment:2 Changed on Aug 6, 2008 at 12:04:10 AM by Chris Johns

Resolution: fixed
Status: newclosed

comment:3 Changed on Aug 6, 2008 at 12:04:55 AM by Chris Johns

RTEMS tools uses autoconf 2.61 or later with the fix.

comment:4 Changed on Nov 22, 2014 at 8:03:27 PM by Gedare Bloom

Description: modified (diff)
Milestone: 24.8

comment:5 Changed on Oct 10, 2017 at 6:00:29 AM by Sebastian Huber

Component: Autoconfbuild
Note: See TracTickets for help on using tickets.